You are not logged in.

#1 2023-05-23 18:39:00

Luca91
Member
Registered: 2019-02-13
Posts: 21

[SOLVED] Libpython3 symbolic link issue

Hi all,
I'm packaging an application that depends on libpython3.10.so.1.0, but in current version of Arch we have libpython3.11.so.1.0.
As a temp workaround I have solved the problem by adding this to PKGBUILD:

ln -s "/usr/lib/libpython3.11.so.1.0" "${pkgdir}/usr/lib/libpython3.10.so.1.0"

But:
1) This looks like a poor solution and I don't like it
2) This is guaranteed to break when the next python version will be released

Do you have any solution for this?

Thanks a lot,
Luca

Last edited by Luca91 (2023-05-23 20:15:29)

Offline

#2 2023-05-23 19:05:19

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 21,041

Re: [SOLVED] Libpython3 symbolic link issue

The two versions are incompatible and may break in a variety of ways which is why it's a different version in the first place. So yes this is a bad solution. The best solution would be to rebuild the software in question against 3.11 if that isn't possible because you don't have the source or some API/ABI breaks, the better stop gap would be to install the https://aur.archlinux.org/packages/python310 compatibility package.

Offline

#3 2023-05-23 19:32:44

Luca91
Member
Registered: 2019-02-13
Posts: 21

Re: [SOLVED] Libpython3 symbolic link issue

Hi V1del, thank you for your reply.
Well it is a closed source software, so no source code is available sad
I think the best solution at this point is to use the python310 package...

Thanks a lot,
Luca

Last edited by Luca91 (2023-05-23 19:53:59)

Offline

Board footer

Powered by FluxBB